// For licensing, see: http://hydrogen.knownspace.org/license.html

/**
 * PassiveEntityValue.java
 * @author Benjamin Keil
 *
 * Created 199910262140
 */
package org.datamanager.passiveentityvalue;

import org.datamanager.kernel.EntityValue;

/**
This interface defines the behaviour of all EntityValues that are static
(that is, non-active).
**/
public abstract interface PassiveEntityValue
    extends EntityValue
    {
    public abstract boolean equals(Object value);

    public abstract int hashCode();
    }